[android-components](../../../index.md) / [mozilla.components.feature.top.sites](../../index.md) / [TopSitesUseCases](../index.md) / [RemoveTopSiteUseCase](index.md) / [invoke](./invoke.md)

# invoke

`operator fun invoke(topSite: `[`TopSite`](../../-top-site/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/top-sites/src/main/java/mozilla/components/feature/top/sites/TopSitesUseCases.kt#L35)

Removes the given [TopSite](../../-top-site/index.md).

### Parameters

`topSite` - The top site.